<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

Kirki::add_panel('edumodo_panel_archive', array(
	'title' => esc_attr__('Archive', 'edumodo'),
	'priority' => 160,
));

require_once dirname( __FILE__ ) . '/archive/blog.php';
new Edumodo_Customizer_Archive_Blog('edumodo_panel_archive', 160);

require_once dirname( __FILE__ ) . '/archive/notice.php';
new Edumodo_Customizer_Archive_Notice('edumodo_panel_archive', 160);

require_once dirname( __FILE__ ) . '/archive/teacher.php';
new Edumodo_Customizer_Archive_Teacher('edumodo_panel_archive', 160);

require_once dirname( __FILE__ ) . '/archive/tx-course.php';
new Edumodo_Customizer_Archive_TX_Course('edumodo_panel_archive', 160);

if (class_exists('Tribe__Events__Main')) {
	require_once dirname( __FILE__ ) . '/archive/event.php';
	new Edumodo_Customizer_Archive_Event('edumodo_panel_archive', 160);
}
if(class_exists('LearnPress')){
	require_once dirname( __FILE__ ) . '/archive/learnpress.php';
	new Edumodo_Customizer_Archive_LearnPress('edumodo_panel_archive', 160);
}
if (class_exists('SFWD_LMS')) {
	require_once dirname( __FILE__ ) . '/archive/learndash.php';
	new Edumodo_Customizer_Archive_LearnDash('edumodo_panel_archive', 160);
}
if (defined('LLMS_VERSION')) {
	require_once dirname( __FILE__ ) . '/archive/lifter.php';
	new Edumodo_Customizer_Archive_Lifter('edumodo_panel_archive', 160);
}
if (defined('TUTOR_VERSION')) {
	require_once dirname( __FILE__ ) . '/archive/tutor.php';
	new Edumodo_Customizer_Archive_Tutor('edumodo_panel_archive', 160);
}
if (class_exists('WooCommerce')) {
	require_once dirname( __FILE__ ) . '/archive/woocommerce.php';
	new Edumodo_Customizer_Archive_Woocommerce('edumodo_panel_archive', 160);
}
if( class_exists('bbPress') ) {
	require_once dirname( __FILE__ ) . '/archive/forum.php';
	new Edumodo_Customizer_Archive_Forum('edumodo_panel_archive', 160);
}
if( defined('BP_PLATFORM_VERSION') || class_exists('BuddyPress') ) {
	require_once dirname( __FILE__ ) . '/archive/activity.php';
	require_once dirname( __FILE__ ) . '/archive/member.php';
	require_once dirname( __FILE__ ) . '/archive/group.php';
	new Edumodo_Customizer_Archive_Activity('edumodo_panel_archive', 160);
	new Edumodo_Customizer_Archive_Member('edumodo_panel_archive', 160);
	new Edumodo_Customizer_Archive_Group('edumodo_panel_archive', 160);
}